Страница 1 из 3

nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2007-07-27 3:41:07
V1talya
pkg_info | grep acro

Код: Выделить всё

acroread7-7.0.9_2,1 Adobe Reader for view, print, and search PDF documents (ENU
acroreadwrapper-0.0.20060221_2 Wrapper script for Adobe Reader
ls /usr/local/lib/browser_plugins/

Код: Выделить всё

.firefox.keep                   mplayerplug-in-qt.so            mplayerplug-in-wmp.xpt
mplayerplug-in-dvx.so           mplayerplug-in-qt.xpt           mplayerplug-in.so
mplayerplug-in-dvx.xpt          mplayerplug-in-rm.so            mplayerplug-in.xpt
mplayerplug-in-gmp.so           mplayerplug-in-rm.xpt           npwrapper.libflashplayer.so
mplayerplug-in-gmp.xpt          mplayerplug-in-wmp.so
А файла npwrapper.nppdf.so - Нету

Что я не так мог сделать ?
Может чего-нибудь не доставил ?

(А остальные плюгины которые ставил все подцепились)

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2007-07-27 7:42:24
Alex Keda
посмотри в /var/db/pkg/acror.... какие файл и куда оно ставило

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2007-07-27 10:28:04
V1talya
Оно себя в /usr/local/Adobe/Acrobat7.0/ENU/

Там же есть папка browser в ней install_browser_plugin - но когда его запускаешь он нечего не делает... ( или может у меня руки ... )
Там же есть папка intellinux и в ней nppdf.so - это как я понял и есть сам plugin для браузеров

Но что с ним сделать надо ?

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2007-07-27 10:35:59
Alex Keda
попробуй симлинк прилепить руками...

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2007-07-27 16:13:06
V1talya
lissyara писал(а):попробуй симлинк прилепить руками...
А куда ? ( /ust/local/lib/browser_plugins ) где все и остальные плюгины ?
И что-то же еще надо будет сделать...
:?

(Я уже что-то пробовал не получилось, теперь вот точно спрашиваю что и куда )

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2007-07-27 18:15:11
Alex Keda
ну тогда х.з...

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2007-07-27 18:22:41
V1talya
ну и фиг с ним :) он в принципе мне и не нужен

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-06-13 17:11:17
Volodymyr
Не получается привязать плагин флеша. Может что-то посоветуете?

Код: Выделить всё

# nspluginwrapper -v -a -i
Auto-install plugins from /usr/X11R6/lib/browser_plugins
Looking for plugins in /usr/X11R6/lib/browser_plugins
Auto-install plugins from /usr/X11R6/lib/firefox/plugins
Looking for plugins in /usr/X11R6/lib/firefox/plugins
Auto-install plugins from /usr/X11R6/lib/linux-mozilla/plugins
Looking for plugins in /usr/X11R6/lib/linux-mozilla/plugins
Install plugin /usr/X11R6/lib/linux-mozilla/plugins/nphelix.so
  into /usr/local/lib/browser_plugins/npwrapper.nphelix.so
Install plugin /usr/X11R6/lib/linux-mozilla/plugins/libflashplayer.so
Segmentation fault (core dumped)

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-06-13 17:17:31
f_andrey
Volodymyr писал(а):Не получается привязать плагин флеша. Может что-то посоветуете?
А какой флешто уж не 9й ли часом?

Насчет акробата, а нафига он нужен, по моему вполне хватает epdfview, хотя кое что из старых версий он вроде не читает, или наоборот из новых но давно на такие не натыкался, или просто починили :)

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-06-14 12:59:37
Volodymyr
f_andrey писал(а):А какой флешто уж не 9й ли часом?
linux-flashplugin-9.0r124 Adobe Flash Player NPAPI Plugin

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-06-14 13:14:23
f_andrey
Volodymyr писал(а):linux-flashplugin-9.0r124 Adobe Flash Player NPAPI Plugin
Ну вот так и знал :bn:
В обшем ставим как все нормальные 7ю версию и не выеживаемся ;-)
так как шас она числится в дырявых сборка может не идти, тогда собираем так

Код: Выделить всё

# make DISABLE_VULNERABILITIES=true install clean
ну либо особые изврашенцы ставят всякие вине и прочее, но это уже вопрос не ко мне.

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-06-17 16:10:59
Volodymyr
f_andrey писал(а):В обшем ставим как все нормальные 7ю версию и не выеживаемся ;-)
Перед этим 9-я работала, только релиз там был не 124, а вроде 48.

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-06-17 16:26:13
Volodymyr
f_andrey писал(а):В обшем ставим как все нормальные 7ю версию и не выеживаемся
С 7-м всё запускается всё нормально. И собирается он нормально. То есть 9-й (р124) тупо не идёт по FreeBSD?

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-06-26 11:27:34
Lion_Killer
FreeBSD 7.0+nspluginwrapper-0.9.91.5+linux-flashplugin-9.0(r124, r115, r48, r31)
npviewer.bin падает в кору
/root/npviewer.bin.core
Прчина кажеться в проблеме емуляции Linux для nspluginwrapper при работе с 9-ой версии флеша.
Для Linux-ов есть патч (http://gwenole.beauchesne.info/en/blog/ ... ash_player) но он не дал результатов для Unix.
Причем падает он только при просмотре имено 9-ой верии флешок, для старых версий флешок все работает.
ICQ: 1 6 0 6 9 0 4 5 9

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-11-25 18:45:40
Гость
Может кому-то пригодится.
Наткнулся на грабли при установке поставил linux-flashplugin9/ :smile: понял что он не работает как надо
снес linux-flashplugin9 решил поставить
linux-flashplugin7 выдавало ошибку

Код: Выделить всё

cd /usr/ports/www/linux-flashplugin7/ && make install clean
===> linux-flashplugin-7.0r73_1 has known vulnerabilities:
=> linux-flashplugin -- multiple vulnerabilities.
Reference: <http://www.FreeBSD.org/ports/portaudit/ ... 00016.html>
=> linux-flashplugin -- unspecified remote code execution vulnerability.
Reference: <http://www.FreeBSD.org/ports/portaudit/ ... 00016.html>
=> Please update your ports tree and try again.
*** Error code 1
Stop in /usr/ports/www/linux-flashplugin7.
*** Error code 1
Stop in /usr/ports/www/linux-flashplugin7.
лечил так

Код: Выделить всё

cd /usr/ports/www/linux-flashplugin7/
make -DDISABLE_VULNERABILITIES install

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2008-11-25 19:43:43
zg
Гость писал(а):лечил так
дык это не лечил, а закрыл глаза на дырень ;-)

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-17 22:58:02
kaps
Во FreeBSD новичок. Установил все как указано в статье. Однако, сырцы jdk1.4.2 скачать так и не удалось. Скачал только бинарник. Установил diablo-jdk1.5.0. Перезапускал Мозиллу - все пофигу. Flashplugin = 7. Че не так?

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-17 23:04:00
kaps
В плагинах Firefox java не значится. только Shockwave и Acrobat.

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-17 23:04:15
f_andrey
kaps писал(а):Че не так?
Мир не справедлив, так что читаем топик до просветления :evil: :bn: :st:

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-17 23:05:32
kaps
На сайтах с флэш-анимацией вместо роликов появляется только логодип FLASH.

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-17 23:17:45
kaps
Да причем тут это?! Кстати, спасибо что откликнулся! :) Я уже начитался всего что можно! Везде одно и тоже - примерно как в статье. даже не примерно - а точно так же. Проверяю установки - все на месте, все установлено. Все pkg_info выводят - все хорошо. Однако же, в плагинах Firefox нет ничего кроме SWF и AcrobatReader8. Может из-за того, что Firefox у меня ТРЕТИЙ!? У меня только SO-шка nppdf.so не нашлась, а так все на месте.
Можно что-то предложить, кроме как копаться в похожих как близнецы статьях?

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-17 23:20:01
kaps
Да, забыл сказать - везде вместо анимации (например - всплывающие окна) - черный экран Малевича... :)

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-17 23:35:28
kaps
Нашел ту СО-шку. Поставил с помощью nspluginwrapper. Вот что пишет:

Код: Выделить всё

*** NSPlugin Viewer  *** ERROR: libpangocairo-1.0.so.0: cannot open shared object file: No such file or directory
Pango установлен...

Код: Выделить всё

# pkg_info|grep pango
gstreamer-plugins-pango-0.10.14_2,3 Gstreamer pango textoverlay plugin
linux-pango-1.8.1   Linux pango binary
pango-1.20.5        An open-source framework for the layout and rendering of i1
Хотя это со-шка вроде и нах не нужна для ФЛЭШ...

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-18 0:38:55
wnd
У меня нормально флэш заработал по вот этому how-to там немного танцев с бубном, но в итоге все хорошо.

Код: Выделить всё

http://crnl.org/blog/2008/11/01/flash-9-for-freebsd-71
Про бубен вычитал в коментариях

Код: Выделить всё

The linux-flashplugin9 port currently has an outdated MD5 for the tar.gz distfile on adobe's site. Manually downloading, and updating distinfo with the current MD5 hash for the distfile worked as a temporary solution. The I suppose I will send-pr this when I get a chance. Likely due to change from r151 to r152.
При установке linux-flashplugin9 из портов ругалось на, то что контрольные суммы не совпадают. Качаем ручками, правим контрольные суммы для файлов, все устанавливается и работает.

Regards!

Re: nspluginwrapper + Adobe Reader = Не работает

Добавлено: 2009-01-18 3:55:57
f_andrey
wnd писал(а):При установке linux-flashplugin9 из портов ругалось на, то что контрольные суммы не совпадают. Качаем ручками, правим контрольные суммы для файлов, все устанавливается и работает
Крайне неправильный путь, сами такое не делайте, и уж тем более никому из новичков не надо советовать такой чуши, если неправильно скачался файл то его надо перекачать, если проблема порта то да можно исправить но тогда надо написать PR или письмо мантейнеру порта.